Gajim - 2015-10-24


  1. mt tmolitor: here you go https://paste.gajim.org/view/38342ed2
  2. bot RSS: Feeds for Gajim • DevHG edited (diff) https://trac.gajim.org/wiki/DevHG?version=9 • Ticket #8166 (Certificate for hg.gajim.org has unexpected fingerprint) closed fixed: right, I updated certificate. Fixed. https://trac.gajim.org/ticket/8166#comment:1 • Ticket #8167 (Video Session Windows) closed wontfix: Next version should support it much nicer. https://trac.gajim.org/ticket/8167#comment:1
  3. bot RSS: Feeds for Gajim Plugins • Changeset [697:0d88137a1b6c]: [OTR] [fiaxh] mark OTR encrypted messages as private. Fixes #116 [OTR] [fiaxh] mark OTR encrypted messages as private. Fixes #116 https://trac-plugins.gajim.org/changeset/0d88137a1b6c7cb09c415f3e7385d6f5f9297360
  4. bot RSS: Feeds for Gajim • Ticket #8170 (Server hammered with history requests) updated your logs are a bit s[…] https://trac.gajim.org/ticket/8170#comment:2 • Changeset [15845:f97e0bf41644]: stop requesting MAM ar[…] https://trac.gajim.org/changeset/f97e0bf41644f410e0f9bb5db5d7553e97c3eb21 • Ticket #8170 (Server hammered with history requests) closed fixed: In f97e0bf4164[…] https://trac.gajim.org/ticket/8170#comment:3
  5. bot RSS: Feeds for Gajim • Ticket #8171 (Cannot create config file on startup (already exists)) updated hmmm the line just before is os.remove(self.filename). So it seems that for some unknown reason the file deletion failed. File opened somewhere else in a text editor ? https://trac.gajim.org/ticket/8171#comment:1
  6. bot RSS: Feeds for Gajim Plugins • Changeset [698:c307cf81f963]: [OTR] update description [OTR] update description https://trac-plugins.gajim.org/changeset/c307cf81f963da931c6250ce652f0886023ec56b
  7. tmolitor the new otr plugin has a bug:
  8. tmolitor File "/home/thilo/.local/share/gajim/plugins/gotr/otrmodule.py", line 291, in init if StrictVersion(defs.version) < StrictVersion(MINVERSION_OUTGOING_MSG_STAZA): File "/usr/lib/python2.7/distutils/version.py", line 40, in __init__ self.parse(vstring) File "/usr/lib/python2.7/distutils/version.py", line 107, in parse raise ValueError, "invalid version number '%s'" % vstring ValueError: invalid version number '0.16.3-f626afbd5747'
  9. tmolitor mt, I think I spotted the error...could you test this one: https://paste.gajim.org/view/f26325da
  10. Asterix tmolitor: ha thanks, I'll fix that this evening
  11. Asterix tmolitor: could you try changing "defs.version" to "gajim.config.get('version') line 291 of otrmodule.py
  12. tmolitor asterix: yes, that did the trick :) should I upload the change to the plugins repository?
  13. Asterix if you want yes please. Also remove the import defs at the begining
  14. Asterix (and update version number in manifest
  15. tmolitor asterix: what import defs do you mean?
  16. Asterix from common import defs
  17. tmolitor asterix: ok, done :)
  18. Asterix perfect, thx
  19. tmolitor asterix: you're welcome :)
  20. bot RSS: Feeds for Gajim Plugins • Changeset [699:873d456200c9]: Fixed version detection bug Fixed version detection bug https://trac-plugins.gajim.org/changeset/873d456200c9778e41368bc29be955f23bb21392
  21. saqura Thanks for adding the message processing hints to the OTR plugin! Just noticed the update.
  22. mt tmolitor: nah, still the same: https://paste.gajim.org/view/70568540
  23. tmolitor mt, sorry...my last code had a copy'n paste bug, please try this: https://paste.gajim.org/view/e6a02962
  24. bot RSS: Feeds for Gajim • Ticket #8169 ([patch] fix endless error messages loop) updated What are the error messges you get? Isn't it the same as #8010? https://trac.gajim.org/ticket/8169#comment:2